Connect
Save selected LinkedIn accounts for headless mode
Use only after GET /v1/connect/linkedin/selection/:token in a headless LinkedIn connect flow. Saves the selected personal profile and/or organization pages, then invalidates the one-time selection token.
POST
/v1/connect/linkedin/selection/{token}Path Parameters
token*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/connect/linkedin/selection/string" \ -H "Content-Type: application/json" \ -d '{ "selectedAccountIds": [ "string" ] }'{
"success": true,
"platform": "linkedin",
"message": "string",
"redirectUri": "string",
"integrations": [
{
"id": "string",
"platform": "twitter",
"platformUserId": "string",
"username": "string",
"displayName": "string",
"profileUrl": "http://example.com",
"imageUrl": "http://example.com",
"platformMetadata": {},
"profileId": "string",
"appId": "string",
"app": {
"id": "string",
"name": "string",
"imageUrl": "string"
},
"byok": true,
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"error": "string"
}{
"error": "string"
}